Bug 736242 - /usr/share/texmf/web2c/texmf.cnf should refer CMap of poppler-data
Summary: /usr/share/texmf/web2c/texmf.cnf should refer CMap of poppler-data
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-texmf
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 06:50 UTC by Akihiro Nomura
Modified: 2013-07-02 23:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:35:46 UTC


Attachments (Terms of Use)
pLaTeX document with Japanese characters (120 bytes, application/octet-stream)
2011-09-21 15:06 UTC, Akihiro Nomura
no flags Details
sample PDF output (3.87 KB, application/pdf)
2011-09-21 15:12 UTC, Akihiro Nomura
no flags Details
sample log on F15 latest (4.17 KB, text/plain)
2011-09-22 02:15 UTC, Satoru SATOH
no flags Details

Description Akihiro Nomura 2011-09-07 06:50:53 UTC
Description of problem:
When Japanese tex documents are converted into pdf using dvipdfmx,
dvipdfmx uses CMap files specified in /usr/share/texmf/web2c/texmf.cnf,
which is provided by texlive-texmf package.
The line is currently as follows:
CMAPFONTS = .;$TEXMF/fonts/cmap//;/usr/share/ghostscript/9.00/Resource/CMap/
However, in Fedora 15, CMap files are removed from ghostscript and merged into poppler-data. (See Bug 630632)
Now the line should be as follows:
CMAPFONTS = .;$TEXMF/fonts/cmap//;/usr/share/poppler/cMap//


Version-Release number of selected component (if applicable):
texlive-texmf-2007-37.fc15.noarch
dvipdfmx-0-0.32.20090708cvs.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make TeX document which contains Japanese character
2. platex test.tex
3. dvipdfmx test.dvi
  
Actual results:
It fails with following error:
** ERROR ** Could not find encoding file "H".

Expected results:
It generates PDF file with Japanese characters.

Additional info:

Comment 1 Satoru SATOH 2011-09-17 05:13:01 UTC
Just another vote for this bug. This is important and easy fix for Japanese to use texlive.

Comment 2 Jindrich Novy 2011-09-21 14:46:27 UTC
Could you please attach a simple tex document with japanese characters to let me test? Thanks.

Comment 3 Akihiro Nomura 2011-09-21 15:06:05 UTC
Created attachment 524220 [details]
pLaTeX document with Japanese characters

This file contains pLaTeX document with Japanese characters encoded in iso-2022-jp.
You can make PDF file containing Japanese string "日本語のテスト" by following commands if everything is OK.
% platex test
% dvipdfmx test

Comment 4 Akihiro Nomura 2011-09-21 15:12:29 UTC
Created attachment 524225 [details]
sample PDF output

This file is the expected output from attached pLaTeX file.
Because I'm not in front of F-15 box now, this file is generated by platex and dvipdfmx in F-14 box.
Anyway, the expected result should be the same.
I'm not clear whether this PDF file can be read in non-Japanese environment, but I hope so.

Comment 5 Satoru SATOH 2011-09-22 02:15:06 UTC
Created attachment 524293 [details]
sample log on F15 latest

Comment 6 Satoru SATOH 2011-09-22 02:16:29 UTC
I attached a log on my workstation running F15 latest for reference.
(test.tex in the log is the one Nomura-san posted)

Comment 7 Fedora End Of Life 2012-08-07 16:35:49 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.